### Class

# Shell KeyringPrompt

since: 14

#### Description

    final class Shell.KeyringPrompt : GObject.Object
      implements Gcr.Prompt {
      /* No available fields */
    }

No description available.

Available since: 14

#### Ancestors

- GObject

#### Implements

- GcrPrompt

#### Constructors

###### shell_keyring_prompt_new

Create new internal prompt base.

since: 14

#### Instance methods

###### shell_keyring_prompt_cancel

Called by implementation when the prompt is cancelled.

since: 14

###### shell_keyring_prompt_complete

Called by the implementation when the prompt completes. There are various checks done. `TRUE` is returned if the prompt actually should complete.

since: 14

###### shell_keyring_prompt_get_confirm_actor

Get the prompt password text actor.

since: 14

###### shell_keyring_prompt_get_password_actor

Get the prompt password text actor.

since: 14

###### shell_keyring_prompt_set_confirm_actor

Set the prompt password confirmation text actor.

since: 14

###### shell_keyring_prompt_set_password_actor

Set the prompt password text actor.

since: 14

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GcrPrompt (31)

Please see GcrPrompt for a full list of methods.

#### Properties

###### Shell.KeyringPrompt:choice-visible

Whether the choice check box is visible or not.

since: 14

###### Shell.KeyringPrompt:confirm-actor

Text field for confirmation password.

since: 14

###### Shell.KeyringPrompt:confirm-visible

Whether the password confirm entry is visible or not.

since: 14

###### Shell.KeyringPrompt:password-actor

Text field for password.

since: 14

###### Shell.KeyringPrompt:password-visible

Whether the password entry is visible or not.

since: 14

###### Shell.KeyringPrompt:warning-visible

Whether the warning label is visible or not.

since: 14

##### Properties inherited from GcrPrompt (11)

###### Gcr.Prompt:caller-window

The string handle of the caller’s window.

since: 4

###### Gcr.Prompt:cancel-label

The label for the cancel button in the prompt.

since: 4

###### Gcr.Prompt:choice-chosen

Whether the additional choice is chosen or not.

since: 4

###### Gcr.Prompt:choice-label

The label for the additional choice.

since: 4

###### Gcr.Prompt:continue-label

The label for the continue button in the prompt.

since: 4

###### Gcr.Prompt:description

The detailed description of the prompt.

since: 4

###### Gcr.Prompt:message

The prompt message for the user.

since: 4

###### Gcr.Prompt:password-new

Whether the prompt will prompt for a new password.

since: 4

###### Gcr.Prompt:password-strength

Indication of the password strength.

since: 4

###### Gcr.Prompt:title

The title of the prompt.

since: 4

###### Gcr.Prompt:warning

A prompt warning displayed on the prompt, or `NULL` for no warning.

since: 4

#### Signals

###### Shell.KeyringPrompt::show-confirm

No description available.

since: 14

###### Shell.KeyringPrompt::show-password

No description available.

since: 14

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

##### Signals inherited from GcrPrompt (1)

###### GcrPrompt::prompt-close

Action signal fired when the prompt is to be closed. After the default handler has run, the prompt is closed. The various prompting methods will return results as if the user dismissed the prompt.

since: 4

#### Class structure

    struct ShellKeyringPromptClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.